package com.nisum.example.controller;

import com.nisum.example.constants.ProductConstants;
import com.nisum.example.mapper.ProductMapper;
import com.nisum.example.model.Product;
import com.nisum.example.service.IProductService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import reactor.core.publisher.Mono;

@RestController
@RequestMapping(value = ProductConstants.PRODUCT_SERVICE_ROOT,produces = MediaType.APPLICATION_JSON_VALUE)
public class ProductController {

    @Autowired
    private ProductMapper productMapper;

    @Autowired
    private IProductService productService;

    @PostMapping(value = "/product-create")
    public Mono<Product> createProduct(@RequestBody Product product){

       return productService.saveProduct(productMapper.toDto(product))
               .map(productMapper::toModel)
               .log();
    }
}
