package com.nisum.example.dto;

import lombok.*;
import lombok.experimental.FieldDefaults;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@FieldDefaults(level=AccessLevel.PRIVATE)
@Document(collection = "Product")
public class ProductDTO {

    @Id
    String prodId;
    String prodName;
    String prodDescription;
    Double prodPrice;
    List<LocationDTO> prodLocationDTOList;
}
